﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Goshoom.DynamicsAX
{
    /// <summary>
    /// Compilation fault severity as used by Dynamics AX.
    /// </summary>
    /// <remarks>
    /// Note that severity is not a type of fault. For example, both compilation error
    /// and best practice error have the same severity.
    /// </remarks>
    internal enum Severity
    {
        Error,
        Warning1,
        Warning2,
        Warning3,
        BestPractice,
        Todo1 = 254,
        Todo2 = 255
    }
}
